SystemOrganization addCategory: #'JQWidgetBox-Dev-Tests'!
SystemOrganization addCategory: #'JQWidgetBox-Dev-Examples'!

JQueryUiTest subclass: #JQWidgetBoxWidgetTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Dev-Tests'!

!JQWidgetBoxWidgetTest commentStamp: 'tbn 11/2/2009 14:24' prior: 0!
This is a common superclass for tests testing jquery widget wrappers for seaside!

!JQWidgetBoxWidgetTest classSide methodsFor: 'testing' stamp: 'tbn 11/2/2009 14:24'!
isAbstract
	"Return true, but false for subclasses"
	
	^self name ~= JQWidgetBoxWidgetTest! !

WAComponent subclass: #JQWidgetExample
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Dev-Examples'!

!JQWidgetExample commentStamp: 'tbn 11/2/2009 14:33' prior: 0!
This is a superclass to group example classes for jquery widget
wrappers for seaside.  

If you add a subclass you have to override #shortName and
after evaluating

   JQWidgetExample initialize

your example is registered!

!JQWidgetExample classSide methodsFor: 'testing' stamp: 'tbn 11/2/2009 14:29'!
canBeRoot
	"This is not a root, but subclasses can"
	
	^self name ~= #JQWidgetExample! !

!JQWidgetExample classSide methodsFor: 'class initialization' stamp: 'tbn 11/2/2009 14:27'!
initialize
	| application |
	self subclasses do: [:each |
		application := WAAdmin register: each asApplicationAt: 'jquery-widgets/', each shortName.
		application 
			addLibrary: JQDevelopmentLibrary;
			addLibrary: JQUiDevelopmentLibrary;
			addLibrary: JQWidgetBoxLibrary 
	]	

! !

!JQWidgetExample classSide methodsFor: 'accessing' stamp: 'tbn 11/2/2009 14:27'!
shortName
	^self subclassResponsibility! !
JQWidgetExample initialize!
